extensions / Commerce extension
GET
/__runtime/checkout/cardsList Checkout
Lists the signed-in customer's saved payment cards for a storefront project, returning an empty list for guests.
GET
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Returns saved cards only for the authenticated storefront customer.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Host | Yes | Not specified | Description: Value used by this operation. |
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"brand": "string",
"last4": "string",
"exp_month": 1,
"exp_year": 1
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

